Unable to obtain list from the bridge# 0

Posted on
Tue Jul 26, 2022 11:40 am
tazswe offline
Posts: 198
Joined: Mar 13, 2017
Location: Sweden

Unable to obtain list from the bridge# 0

My eventlog have started to show the following error since i upgraded to 2022.1.

I have upgraded the plugin to different versions but the problem remains. The Hue lights continue to work and I cant se any problem right efter the upgrade of the plug, the problems starts after a while.

Need some help if possible.

Code: Select all
   Hue Lights Error                Unable to obtain list from the bridge# 0
Traceback (most recent call last):
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 438, in _error_catcher
    yield
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 519, in read
    data = self._fp.read(amt) if not fp_closed else b""
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 465, in read
    s = self.fp.read(amt)
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/socket.py", line 705, in readinto
    return self._sock.recv_into(b)
ConnectionResetError: [Errno 54] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/models.py", line 760, in generate
    for chunk in self.raw.stream(chunk_size, decode_content=True):
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 576, in stream
    data = self.read(amt=amt, decode_content=decode_content)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 512, in read
    with self._error_catcher():
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/contextlib.py", line 153, in __exit__
    self.gen.throw(typ, value, traceback)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 455, in _error_catcher
    raise ProtocolError("Connection broken: %r" % e, e)
urllib3.exceptions.ProtocolError: ("Connection broken: ConnectionResetError(54, 'Connection reset by peer')", ConnectionResetError(54, 'Connection reset by peer'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "plugin.py", line 6163, in updateTheTypeList
    retCode, responseData, errorsDict =  self.commandToHub_HTTP( hubNumber, theType)
  File "plugin.py", line 796, in commandToHub_HTTP
    r = requests.get(command, timeout=kTimeout, headers={'Connection':'close'})
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/api.py", line 75, in get
    return request('get', url, params=params, **kwargs)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/api.py", line 61, in request
    return session.request(method=method, url=url, **kwargs)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/sessions.py", line 529, in request
    resp = self.send(prep, **send_kwargs)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/sessions.py", line 687, in send
    r.content
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/models.py", line 838, in content
    self._content = b''.join(self.iter_content(CONTENT_CHUNK_SIZE)) or b''
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/models.py", line 763, in generate
    raise ChunkedEncodingError(e)
requests.exceptions.ChunkedEncodingError: ("Connection broken: ConnectionResetError(54, 'Connection reset by peer')", ConnectionResetError(54, 'Connection reset by peer'))



Posted on
Wed Jul 27, 2022 2:12 pm
kw123 offline
User avatar
Posts: 8090
Joined: May 12, 2013
Location: Dallas, TX

Re: Unable to obtain list from the bridge# 0

could you please upgrade to the latest version ie 2022.12.40 just posted,

added some more descriptive info on THAT error message

Karl

Page 1 of 1

Who is online

Users browsing this forum: No registered users and 1 guest